update_postfix() {
  # set up master.cf
  if [ -f /etc/postfix/master.cf ]; then
    if ( ! grep -q smtp-amavis /etc/postfix/master.cf || \
        dpkg --compare-versions "$2" lt $MASTTMPLVERSION ); then
      noisy_backup /etc/postfix/master.cf
      cp-update $PKG /etc/postfix/master.cf < $MASTTMPL
      restart_mta=1
    fi
  else
    echo "CN: Missing Postfix master.cf, please configure Postfix and restart installation."
    exit 1
  fi

  # set up main.cf
  if [ -f /etc/postfix/main.cf ]; then
      if ! grep -q "^content_filter[\t ]*=[\t ]*smtp-amavis:\[127.0.0.1\]:10024[\t ]*" \
        /etc/postfix/main.cf; then
      postconf -e content_filter="smtp-amavis:[127.0.0.1]:10024"
      restart_mta=1
    fi
  else
    echo "CN: Missing Postfix main.cf, please configure Postfix and restart installation."
    exit 1
  fi
}
